---
title: "danog\\Decoder\\PhotoSizeSource\\PhotoSizeSourceThumbnail: Represents source of photosize."
description: ""

---
# `danog\Decoder\PhotoSizeSource\PhotoSizeSourceThumbnail`
[Back to index](../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

Represents source of photosize.  



## Properties
* `$thumbFileType`: `\danog\Decoder\FileIdType` File type of original file.
* `$thumbType`: `string` Thumbnail size.

## Method list:
* [`__construct(\danog\Decoder\FileIdType $thumbFileType, string $thumbType)`](#__construct-danog-decoder-fileidtype-thumbfiletype-string-thumbtype)

## Methods:
### `__construct(\danog\Decoder\FileIdType $thumbFileType, string $thumbType)`




Parameters:

* `$thumbFileType`: `\danog\Decoder\FileIdType`   
* `$thumbType`: `string`   


#### See also: 
* [`\danog\Decoder\FileIdType`: Represents decoded bot API file ID type.](../../../danog/Decoder/FileIdType.md)




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
